body {
  font-family: Arial;
  font-size: 2vw;
  padding: 0;
  margin: 0;
  padding-bottom: 20px;

  --nav-bg-color: #000;
  --nav-color: #fff;
}
/* en-tête */
header {
  display: flex;
  margin-bottom: 10%;
  font-size: 2vw;
}

header > img {
  width: 30vw;
}

header > div {
  text-align: center;
  position: relative;
  left: 5vw;
}

/* barre de naviguation */
nav {
  display: flex;
  justify-content: center;
  background-color: var(--nav-bg-color);
  height: max-content;
  width: 105.5%;
}

nav div {
  padding-inline: 10px;
  padding-top: 0.5em;
  height: 3vw;
}

nav div a {
  text-decoration: none;
  color: var(--nav-color);
  font-size: 1em;
}

/* animation barre du dessous (nav) */
nav div a::after {
  content: "";
  width: 0;
  height: 4px;
  background-color: var(--nav-color);
  display: block;
  border-radius: 3px;
  transition: width 0.5s;
}

nav div:hover a::after {
  width: 100%;
}

#pageActuel a::after {
  content: "";
  width: 100%;
  height: 0.3vw;
  background-color: var(--nav-color);
  display: block;
  border-radius: 3px;
}

/* tableau coups*/
table {
  font-size: 0.75em;
  border: 5px solid black;
}

th,
td {
  border: 3px solid black;
  padding-left: 10px;
}

.coup {
  width: 100%;
}

.titrePage {
  padding-left: 30px;
}

/* articles général */
section {
  display: flex;
  flex-wrap: wrap;
  gap: 1em;
  padding-left: 30px;
  padding-bottom: 50px;
  width: 100%;
}

article {
  width: 50%;
  text-align: justify;
}

section > img {
  width: 35%;
  height: min-content;
  font-size: 15px;
  padding-top: 1em;
}

/* artiticle histoire */
#histoire article > img {
  width: 300px;
  height: min-content;
  padding-left: 20px;
}

#histoire article {
  display: flex;
  background-color: rgb(240, 240, 240);
  border: 2px solid black;
  border-radius: 10px;
  padding: 20px 20px 20px 20px;
  width: 75%;
}

.image-histoire {
  margin-right: 20px;
  height: 200px;
  width: 250px;
}

/*article coups*/
#coups {
  padding: 0;
}

/*article meilleurs joueurs*/
.joueur {
  display: flex;
  gap: 30px;
}
.joueur > p {
  width: 50%;
  text-align: justify;
}

.joueur > img {
  max-width: 25vw;
  height: fit-content;
}

/* article journal */
#journal {
  display: blocK;
  padding: 0;
  padding-left: 30px;
  font-size: 0.75em;
}

#journal p {
  width: 75%;
  text-align: justify;
}

.dateJournal {
  font-style: italic;
  font-size: 1.5em;
}

/*article records */
.titreRecord {
  font-style: italic;
  font-size: 1.1em;
}

.record {
  display: flex;
  gap: 1em;
  width: 100vw;
}
.record > p {
  width: 50%;
}

/* médias */
video {
  width: 20vw;
  height: fit-content;
  min-width: 200px;
}

.coup {
  width: 20vw;
}

/*pied de page*/
footer {
  width: 100%;
  text-align: center;
  display: flex;
  justify-content: center;
}

footer hr {
  height: 3px;
  background-color: #000;
}

footer div {
  width: 30%;
}

footer p {
  font-size: 1em;
}

/*petits écran */
@media (max-width: 720px) {
  p {
    font-size: 15px;
  }

  .titrePage {
    font-size: 30px;
  }

  article {
    width: 90%;
  }

  .image-histoire {
    width: 20vw;
    height: fit-content;
    
  }

  #histoire article>img {
    width: 25vw;
    padding-top: 3vw;
  }


  header {
    font-size: 20px;
  }

  header > img {
    display: none;
  }

  nav {
    display: block;
    height: fit-content;
  }

  nav div {
    width: fit-content;
    padding-top: 15px;
    padding-bottom: 15px;
  }
  nav div a {
    font-size: 1rem;
  }

  .record {
    width: 100vw;
  }

  #pageActuel a::after {
    content: "";
    width: 100%;
    height: 3px;
    background-color: var(--nav-color);
    display: block;
    border-radius: 3px;
  }

  table {
    font-size: 20px;
  }

  footer p {
    font-size: 15px;
  }
}

@media (max-width: 525px) {

  img:not(table img) {
    display: none;
  }

  .reduire {
    width: 100px;
  }

  table {
    width: 100%;
    font-size: 3vw;
  }

  .coup {
    display: flex;
    justify-content: center;
    padding:0;
  }

  #nom-coup {
    width: 50px;
  }

  .dateJournal {
    font-size: 3em;
  }

  .exemple {
    width: 100px;
  }
}